

services:

  xuc:
    links:
      - mattermost

  mattermost:
    image: "xivoxc/mattermost:${XIVOCC_TAG}.${XIVOCC_DIST}"

    volumes:
      - /var/lib/mattermost/config:/mattermost/config:rw
      - /var/lib/mattermost/data:/mattermost/data:rw
      - /var/lib/mattermost/plugins:/mattermost/plugins:rw
      - /var/lib/mattermost/client-plugins:/mattermost/client/plugins:rw
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
      - /var/log/xivocc:/opt/docker/var/log

    environment:
      - MM_USERNAME=mmuser
      - MM_PASSWORD=${MMUSER_DB_PASSWORD}
      - MM_DBNAME=mattermost
      - MMADMIN_PASSWORD
      - DB_PORT_NUMBER=${DB_PORT_NUMBER}
      - DB_HOST=${MM_DB_HOST}

    restart: unless-stopped
